关闭

【内容转载】iOS开发----Xcode7升级之后插件无法使用与不小心点击Skipbundle的解决办法

标签: xcode7插件问题
166人阅读 评论(0) 收藏 举报
分类:

转载的:没找到作者的名字=。= so sorry,我看的原文链接 ://www.bubuko.com/infodetail-1140233.html


————————————————————————————————————————————————


小伙伴们在升级了 Xcode7 之后有些插件不能使用了.现在提供如下解决办法:

1. 首先查看 Xcode 的 UUID,在终端执行

defaults read /Applications/Xcode.app/Contents/Info DVTPlugInCompatibilityUUID

会得到一串 UUID 码

技术分享

2. 找到 Xcode 插件所在的目录

~/Library/Application Support/Developer/Shared/Xcode/Plug-ins

选择已安装的插件如:VVDocumenter-Xcode,右键显示包内容,找到 info.plist

找到DVTPlugInCompatibilityUUIDs的项目,添加一个Item,Value的值为之前Xcode的UUID,保存.

技术分享

重启 Xcode 之后会提示"Load bundle"、 "Skip Bundle",这里必须选择"Load bundle",不然插件无法使用。

3. 如果手误点击了"Skip Bundle"的解决办法

找到该插件安装路径下,继续打开在 info.plist 删除与命令端里面同样的UUID号,一般都是会再最后一行,自己添加的那一行也要删除掉


保存之后重启Xcode

再次添加之前xcodeUUID。在重启就再次出现了插件提示


著作权声明:欢迎转载分享。请尊重作者劳动,转载时保留该声明和作者博客链接,谢谢!(我看的原文链接在上面)



0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:1016次
    • 积分:24
    • 等级:
    • 排名:千里之外
    • 原创:1篇
    • 转载:2篇
    • 译文:0篇
    • 评论:0条
    文章分类
    文章存档